/*
 * Copyright 2012 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.uberfire.client.screens.popup;

import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import javax.annotation.Generated;
import javax.enterprise.context.Dependent;
import javax.inject.Inject;
import com.google.gwt.user.client.ui.InlineLabel;

import org.uberfire.client.annotations.WorkbenchPopup.WorkbenchPopupSize;
import static org.uberfire.client.annotations.WorkbenchPopup.WorkbenchPopupSize.*;
import org.uberfire.client.mvp.PlaceManager;
import org.uberfire.client.mvp.AbstractPopupActivity;
import org.uberfire.client.workbench.widgets.popup.PopupView;
import javax.inject.Named;
import org.uberfire.mvp.PlaceRequest;

import com.google.gwt.user.client.ui.IsWidget;

@Dependent
@Generated("org.uberfire.annotations.processors.WorkbenchPopupProcessor")
@Named("MyTestPopUp")
/*
 * WARNING! This class is generated. Do not modify.
 */
public class SimplePopUpActivity extends AbstractPopupActivity {

    @Inject
    private SimplePopUp realPresenter;

    @Inject
    //Constructor injection for testing
    public SimplePopUpActivity( final PlaceManager placeManager, final PopupView view ) {
        super( placeManager, view );
    }

    @Override
    public void onStartup(final PlaceRequest place) {
        super.onStartup( place );
        realPresenter.onStartup( place );
    }

    @Override
    public String getTitle() {
        return realPresenter.getTitle();
    }

    @Override
    public IsWidget getWidget() {
        return realPresenter.getView();
    }

    @Override
    public String getIdentifier() {
        return "MyTestPopUp";
    }

    @Override
    public WorkbenchPopupSize getSize() {
        return LARGE;
    }
}
